"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const plugin = (api, config) => {
  api.configureWebpack(({
    configure
  }) => {
    configure(webpackConfig => {
      webpackConfig.module.rule('js').test(/\.m?jsx?$/).enforce('pre').exclude.add(/node_modules/).end().use('babel-loader').loader(require.resolve('babel-loader')).options({
        cacheDirectory: true,
        configFile: api.resolve('babel.config.js')
      });
    });
  });
};

plugin.generator = api => {
  const pkg = require('../package.json');

  api.extendPackage({
    dependencies: {
      'core-js': pkg.devDependencies['core-js']
    }
  });
  api.renderDir(_path.default.resolve(__dirname, '../template'));
  api.processFile('src/**/*.js', (file, api) => {
    api.transform(require('5to6-codemod/transforms/cjs'), {});
    api.transform(require('5to6-codemod/transforms/no-strict'), {});
    api.transform(require('5to6-codemod/transforms/exports'), {});
  });
};

var _default = plugin;
exports.default = _default;